package server

import (
	"github.com/urfave/cli/v3"
)

// ServerCommand defines the `abra server` command and its subcommands
var ServerCommand = cli.Command{
	Name:            "server",
	Aliases:         []string{"s"},
	Usage:           "Manage servers",
	UsageText:       "abra server [command] [options] [arguments]",
	HideHelpCommand: true,
	Commands: []*cli.Command{
		&serverAddCommand,
		&serverListCommand,
		&serverRemoveCommand,
		&serverPruneCommand,
	},
}
